From a84eca93a1ee48b87a2c4d7079ef92647fe18486 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Au=C3=9F=20Michael?= <michael.auss@notrufnoe.at>
Date: Fri, 19 Oct 2018 16:34:44 +0200
Subject: [PATCH] Fix support for the macOS Mojave clang based compiler

---
 CMakeLists.txt | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index af21291..c3d8795 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -58,7 +58,7 @@ ENDIF()
    message(FATAL_ERROR "Option ${USE_SIMD} not supported, valid entries are ${USE_SIMD_VALUES}")
  ENDIF()
 
-IF(CMAKE_CXX_COMPILER MATCHES ".*clang")
+IF(CMAKE_CXX_COMPILER MATCHES ".*clang" OR CMAKE_CXX_COMPILER MATCHES ".*c\\+\\+")
     SET(CMAKE_COMPILER_IS_CLANGXX 1)
 ENDIF()
 
@@ -70,6 +70,7 @@ IF(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANGXX)
     #ADD_DEFINITIONS(-Wconversion)
     #ADD_DEFINITIONS(-pedantic)
     #ADD_DEFINITIONS(-ansi)
+    ADD_DEFINITIONS(-std=c++14)
     IF(NOT WIN32)
         #only export symbols that are declared to be part of the api (non dll platforms)
         ADD_DEFINITIONS(-fvisibility=hidden)
-- 
2.17.1 (Apple Git-112)

